Create account

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.lumepay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lumepay API MCP server": {
    "url": "https://docs.lumepay.com/mcp"
  }
}

Close
POST /api/v1/accounts

Creates an account for the authenticated API key owner only when the requested currency is enabled in the owner's effective jurisdiction.

Headers

  • X-API-KEY string Required

    Public API key issued from the Lumepay API key management flow.

  • X-API-SECRET string Required

    API secret paired with the public API key.

application/json

Body Required

  • currency string

    Currency code for the account to create.

Responses

  • 201 application/json

    Account created successfully

    Hide response attributes Show response attributes object
    • id string

      Account id used by external account endpoints.

    • currency string

      Account currency.

    • balance number

      Available account balance.

    • lockedBalance number

      Locked account balance.

  • 400 application/json

    Request validation failed

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
  • 404 application/json

    Resource was not found for the authenticated API key owner

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
  • 409 application/json

    Request conflicts with current resource or money movement state

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
  • 403 application/json

    Authenticated API key is not allowed to perform this action

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
  • 500 application/json

    Unexpected server error

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
  • 401 application/json

    API key authentication failed

    Hide response attributes Show response attributes object
    • code integer(int32)
    • message string
    • httpStatus integer(int32)
    • requestId string
    • timestamp string(date-time)
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • field string
      • message string
POST /api/v1/accounts
curl \
 --request POST 'http://api.example.com/api/v1/accounts' \
 --header "Content-Type: application/json" \
 --header "X-API-KEY: string" \
 --header "X-API-SECRET: string" \
 --data '{"currency":"ZAR"}'
Request examples
# Headers
X-API-KEY: string
X-API-SECRET: string

# Payload
{
  "currency": "ZAR"
}
Response examples (201)
{
  "id": "acc_8F4J2N",
  "currency": "ZAR",
  "balance": 2500.0,
  "lockedBalance": 0.0
}
Response examples (400)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 400,
  "message": "Request validation failed",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 400
}
Response examples (404)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 404,
  "message": "Resource was not found for the authenticated API key owner",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 404
}
Response examples (409)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 409,
  "message": "Request conflicts with current resource or money movement state",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 409
}
Response examples (403)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 403,
  "message": "Authenticated API key is not allowed to perform this action",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 403
}
Response examples (500)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 500,
  "message": "Unexpected server error",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 500
}
Response examples (401)
{
  "errors": [],
  "timestamp": "2026-01-01T00:00:00Z",
  "code": 401,
  "message": "API key authentication failed",
  "requestId": "req_01HY0000000000000000000000",
  "httpStatus": 401
}